Bug 24514 - Holds Awaiting Pickup sorting by title before surname
Summary: Holds Awaiting Pickup sorting by title before surname
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-24 16:48 UTC by Andrew Fuerste-Henry
Modified: 2020-03-18 16:57 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24514: Add option to exclude title from patron-title.inc (2.26 KB, patch)
2020-01-24 17:34 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24514: Add option to exclude title from patron-title.inc (2.32 KB, patch)
2020-02-14 17:09 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24514: Add option to exclude title from patron-title.inc (2.39 KB, patch)
2020-02-14 17:09 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24514: Add option to exclude title from patron-title.inc and use it on 'holds awaiting pickup' (3.07 KB, patch)
2020-02-17 21:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-24 16:48:46 UTC
Bug 24024 fixed an error causing Holds Awaiting Pickup to sort by firstname rather than firstname. However, it's now sorting by title, then surname, then firstname.

To test:
- generate and capture a hold for a patron named "Mr. A A"
- generate and capture a hold for a patron named "A A"
- generste and capture a hold for patron named "Mr. B B"
- generste and capture a hold for patron named "B B"
- go to holds awaiting pickup
- sort by patron name ascending
- holds sort Mr. A, Mr. B, A, B
- sort by patron name descending
- holds sort B, A, Mr. B, Mr. A
Comment 1 Nick Clemens 2020-01-24 17:34:09 UTC
Created attachment 97891 [details] [review]
Bug 24514: Add option to exclude title from patron-title.inc
Comment 2 ByWater Sandboxes 2020-02-14 17:09:09 UTC
Created attachment 98982 [details] [review]
Bug 24514: Add option to exclude title from patron-title.inc

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 ByWater Sandboxes 2020-02-14 17:09:17 UTC
Created attachment 98983 [details] [review]
Bug 24514: Add option to exclude title from patron-title.inc

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Andrew Fuerste-Henry 2020-02-14 17:10:14 UTC
To test:
- generate and capture a hold for a patron named "Mr. A A"
- generate and capture a hold for a patron named "A A"
- generste and capture a hold for patron named "Mr. B B"
- generste and capture a hold for patron named "B B"
- go to holds awaiting pickup
- sort by patron name ascending
- holds sort Mr. A, Mr. B, A, B
- sort by patron name descending
- holds sort B, A, Mr. B, Mr. A
- APPLY PATCH
- Reload holds awaiting pickup
- Confirm holds sort on Surname
Comment 5 Katrin Fischer 2020-02-17 21:31:23 UTC
Nick, you know better... commit message including only of a subject is a little spare ;) I'll fix it up.
Comment 6 Katrin Fischer 2020-02-17 21:35:48 UTC
Created attachment 99134 [details] [review]
Bug 24514: Add option to exclude title from patron-title.inc and use it on 'holds awaiting pickup'

Without this patch sorting by patron name on the 'holds awaiting
pickup' report sorted by title, surname, firstname. With this
patch the list will sort by surname, firstname, ignoring the title.

To test:
- generate and capture a hold for a patron named "Mr. A A"
- generate and capture a hold for a patron named "A A"
- generste and capture a hold for patron named "Mr. B B"
- generste and capture a hold for patron named "B B"
- go to holds awaiting pickup
- sort by patron name ascending
- holds sort Mr. A, Mr. B, A, B
- sort by patron name descending
- holds sort B, A, Mr. B, Mr. A
- APPLY PATCH
- Reload holds awaiting pickup
- Confirm holds sort on Surname

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2020-02-19 11:34:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-03-13 00:04:25 UTC
Pushed to 19.11.x for 19.11.04
Comment 9 Lucas Gass 2020-03-18 16:57:08 UTC
backported to 19.05.x for 19.05.09